﻿using System;
using System.Linq;

namespace Recipe04
{
    class Program
    {
        static void Main(string[] args)
        {
            using (var context = new OrderDatabaseContext())
            {
                var newOrder = new Order
                {
                    Customer = "IntelliGrail Co.",
                    OrderDate = DateTime.Now,
                    Status = "NEW",
                    Total = 100
                };
                context.Orders.Add(newOrder);
                context.SaveChanges();
            }

            using (var context = new OrderDatabaseContext())
            {
                var order = context.Orders.FirstOrDefault();
                Console.WriteLine("{0}: {1}, {2}, {3}",
                    order.Customer, order.OrderDate, order.Status, order.Total);
            }
        }
    }
}
